RMMV Got a bug with CoreEngine plugin, not sure what to do

lunette

Warper
Member
Joined
Oct 27, 2020
Messages
4
Reaction score
0
First Language
English
Primarily Uses
Other
Hello! I didn't like my game getting all blurry in fullscreen mode so I installed the CoreEngine plugin and checked Real Scale as True to get rid of the weird blurring of textures. But as soon as I tried to playtest, the game crushed on the second screen with this message. This is my first time making a game and I'm really bad with all the tech stuff, so if anyone could explain what it is and how to stop this bug from appearing, I'd be very thankful! :rhappy:
2020-10-29_18-34-26.png
 

BurningOrca

Veteran
Veteran
Joined
Apr 14, 2019
Messages
214
Reaction score
187
First Language
German
Primarily Uses
RMMV
Is this the only plugin you are using? If not could you please make a screenshot of the installed plugins and the maybe also of the parameters of the core engine.
Just with your description I am not able to reproduce the error in my own testing project.
The callstack in your screenshot looks very wierd to me, e.g. Spriteset_Map shouldn't have a subobject called PIXI. PIXI is a javascript library that shouldn't be included in any other object.
Also the rest looks totally broken, e.g. I would expect Scene_Base.prototype.clearChildren instead of Scene_Map.Scene_Base.clearChildren.
Sorry that this doesn't help you, but without me able to reproduce the error I really cannot help you. In such cases it is always good to provide screenshots of all your installed plugins.
 

Andar

Veteran
Veteran
Joined
Mar 5, 2013
Messages
31,324
Reaction score
7,650
First Language
German
Primarily Uses
RMMV
there are basically only three possibilities that can end up as an "undefined" error:

1) you continued an old savefile from before the plugins were added - solution: start new game on next playtest.
2) the plugins are in the wrong order or incompatible - especially if you added the core plugin after other plugins of the same series. solution: sort them yourself or show us screenshots of your plugin manager so that we can help you sort them
3) missing configuration of a plugin: a lot of plugins require configuration, or strange things can happen. like the plugin tries to load a database entry that doesn't exist in your project. Very unlikely that this is the case with a core plugin, but always check all configurations on a new plugin.
 

lunette

Warper
Member
Joined
Oct 27, 2020
Messages
4
Reaction score
0
First Language
English
Primarily Uses
Other
Is this the only plugin you are using? If not could you please make a screenshot of the installed plugins and the maybe also of the parameters of the core engine.
Just with your description I am not able to reproduce the error in my own testing project.
The callstack in your screenshot looks very wierd to me, e.g. Spriteset_Map shouldn't have a subobject called PIXI. PIXI is a javascript library that shouldn't be included in any other object.
Also the rest looks totally broken, e.g. I would expect Scene_Base.prototype.clearChildren instead of Scene_Map.Scene_Base.clearChildren.
Sorry that this doesn't help you, but without me able to reproduce the error I really cannot help you. In such cases it is always good to provide screenshots of all your installed plugins.
CoreEngine is the only plugin I use and I didn't change any setting apart from Real Scale which I changed from false to true! If I turn the plugin off, the game works perfectly, but as soon as I turn it on I get the same error. Oh and I tried to change game resolution after which the error started appearing and I immediately changed it back to default, but the error just keeps reappearing now :(
 

Attachments

lunette

Warper
Member
Joined
Oct 27, 2020
Messages
4
Reaction score
0
First Language
English
Primarily Uses
Other
there are basically only three possibilities that can end up as an "undefined" error:

1) you continued an old savefile from before the plugins were added - solution: start new game on next playtest.
2) the plugins are in the wrong order or incompatible - especially if you added the core plugin after other plugins of the same series. solution: sort them yourself or show us screenshots of your plugin manager so that we can help you sort them
3) missing configuration of a plugin: a lot of plugins require configuration, or strange things can happen. like the plugin tries to load a database entry that doesn't exist in your project. Very unlikely that this is the case with a core plugin, but always check all configurations on a new plugin.
My game is really short, so I always just start a new game to playtest, but it doesn't help! Also, CoreEngine is the only plugin that I use, so the compatibility isn't the issue...And if you say that it is unlikely that the third error happens with CoreEngine then I really don't know what could be the problem with my game D:
 

Andar

Veteran
Veteran
Joined
Mar 5, 2013
Messages
31,324
Reaction score
7,650
First Language
German
Primarily Uses
RMMV
it can be a version error (as a variant of the plugin incompatibility problem).
I'm now asking for two numbers that might or might not be identical - please post both answers as numbers.

1) start the editor, click on help - about in the menu. What is the editor version number?

2) goto game - open folder, then go into the js folder. Use a text editor to open rpg_core.js (do not doubleclick it!!). What is the version number in the title line? No number there means 1.0
 

lunette

Warper
Member
Joined
Oct 27, 2020
Messages
4
Reaction score
0
First Language
English
Primarily Uses
Other
it can be a version error (as a variant of the plugin incompatibility problem).
I'm now asking for two numbers that might or might not be identical - please post both answers as numbers.

1) start the editor, click on help - about in the menu. What is the editor version number?

2) goto game - open folder, then go into the js folder. Use a text editor to open rpg_core.js (do not doubleclick it!!). What is the version number in the title line? No number there means 1.0
The version number is 1.2.0 and Yanfly.Core.version = 1.32
 

Andar

Veteran
Veteran
Joined
Mar 5, 2013
Messages
31,324
Reaction score
7,650
First Language
German
Primarily Uses
RMMV
Yanfly.Core.version = 1.32
wrong answer.

I didn't ask for the yanfly versions, I asked for the editor and engine versions.

Please try again.
what is the number you get when you check in the editor under help-about, and what is the number you get when you go to the file named rpg_core.js (which has nothing to do with the yanfly core!!!)

however you'll most likely have to update your editor and your engine, because most of yanfly's plugins require 1.4.0 as absolute minimum (current is 1.6.2)
 

caethyril

^_^
Veteran
Joined
Feb 21, 2018
Messages
2,071
Reaction score
1,493
First Language
EN
Primarily Uses
RMMZ
The callstack in your screenshot looks very wierd to me, e.g. Spriteset_Map shouldn't have a subobject called PIXI.
That's how inherited method calls are reported, it's due to the prototype model JavaScript uses. :kaoswt:

I don't see a removeStageReference method on my end, so at the moment I'm guessing this is a version problem like Andar suggests.
 

BurningOrca

Veteran
Veteran
Joined
Apr 14, 2019
Messages
214
Reaction score
187
First Language
German
Primarily Uses
RMMV
That's how inherited method calls are reported, it's due to the prototype model JavaScript uses. :kaoswt:
Thank you for telling me, I didn't know that. I've never noticed that with the errors I had in the past.
 

Users Who Are Viewing This Thread (Users: 0, Guests: 1)

Latest Threads

Latest Posts

Latest Profile Posts

Thank you all angels so much! I've received fanarts, fanfics, song cover, and Ko-fis and such wonderful messages already! T uT Look at this message I'm crying (Ko-fi was being mean saying it was anonymous but she was like nooo it's me and showed me).
Working on using DreamX's prefix suffix plugin to create unidentified weapons, armor and sellable loot. The weapons and armor will always draw from the highest tier you have the ability to create, keeping them relevant throughout most of the game. The loot is going to be the fun part! Let's just say I doubt I'll have any unused item entries
... I updated an enemy I drew last year.
My dynamic weather system grows... now with cloud cover influenced by wind speed! (4x playback) (Not final cloud image/map)
Wrote a plugin today that allows you to assign BGM, Battlebacks, and even Battle Entry SE's on a per-troop basis. Introducing a random encounter with a high-pitched Chicken Squeal is worth it all by itself.

Forum statistics

Threads
105,765
Messages
1,016,263
Members
137,452
Latest member
12dl
Top